Page MenuHomePhabricator

[Epic] Payments and other components should send a copy of outbound queue messages a Redis queue
Closed, ResolvedPublic

Description

Modify all ActiveMQ queue writes to write two copies, one to the old queue and one to the new. Preferably in separate statements, potentially gating both old and new on config variables.

Give messages a 1 month timeout to reduce the amount of stale data we'll have to clean up later.

Configure mw-vagrant Fundraising role to do this mirroring by default, as it becomes supported.

Event Timeline

awight created this task.Mar 17 2016, 9:01 PM
awight renamed this task from Payments should mirror outbound queue messages to both ActiveMQ and Redis to Payments should mirror outbound queue messages to both ActiveMQ and Kafka.Mar 30 2016, 6:41 PM
awight updated the task description. (Show Details)
atgo removed a subscriber: atgo.Mar 30 2016, 8:30 PM
awight renamed this task from Payments should mirror outbound queue messages to both ActiveMQ and Kafka to [Epic] Payments and other components should send a copy of outbound queue messages a Redis queue.Jul 15 2016, 1:56 AM
awight updated the task description. (Show Details)
awight removed the point value for this task.Jul 27 2016, 9:14 PM
awight moved this task from Backlog to Main queues on the FR-ActiveMQ board.
Ejegg closed this task as Resolved.Nov 9 2016, 11:52 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:34 PM